Upstream information

CVE-2023-40030 at MITRE

Description

Cargo downloads a Rust project’s dependencies and compiles the project. Starting in Rust 1.60.0 and prior to 1.72, Cargo did not escape Cargo feature names when including them in the report generated by `cargo build --timings`. A malicious package included as a dependency may inject nearly arbitrary HTML here, potentially leading to cross-site scripting if the report is subsequently uploaded somewhere. The vulnerability affects users relying on dependencies from git, local paths, or alternative registries. Users who solely depend on crates.io are unaffected. Rust 1.60.0 introduced `cargo build --timings`, which produces a report of how long the different steps of the build process took. It includes lists of Cargo features for each crate. Prior to Rust 1.72, Cargo feature names were allowed to contain almost any characters (with some exceptions as used by the feature syntax), but it would produce a future incompatibility warning about them since Rust 1.49. crates.io is far more stringent about what it considers a valid feature name and has not allowed such feature names. As the feature names were included unescaped in the timings report, they could be used to inject Javascript into the page, for example with a feature name like `features = ["<img src='' onerror=alert(0)"]`. If this report were subsequently uploaded to a domain that uses credentials, the injected Javascript could access resources from the website visitor. This issue was fixed in Rust 1.72 by turning the future incompatibility warning into an error. Users should still exercise care in which package they download, by only including trusted dependencies in their projects. Please note that even with these vulnerabilities fixed, by design Cargo allows arbitrary code execution at build time thanks to build scripts and procedural macros: a malicious dependency will be able to cause damage regardless of these vulnerabilities. crates.io has server-side checks preventing this attack, and there are no packages on crates.io exploiting these vulnerabilities. crates.io users still need to excercise care in choosing their dependencies though, as remote code execution is allowed by design there as well.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 6.1 6.1
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N
Attack Vector Network Network
Attack Complexity Low Low
Privileges Required None None
User Interaction Required Required
Scope Changed Changed
Confidentiality Impact Low Low
Integrity Impact Low Low
Availability Impact None None
CVSSv3 Version 3.1 3.1

Note from the SUSE Security Team on the rust1.* package

SUSE only supports the current and the previous Rust language releases.

SUSE Bugzilla entry: 1214689 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 15 SP4
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Module for Development Tools 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • cargo >= 1.72.0-150400.24.24.1
  • cargo1.72 >= 1.72.0-150400.9.3.1
  • rust >= 1.72.0-150400.24.24.1
  • rust1.72 >= 1.72.0-150400.9.3.1
Patchnames:
SUSE-SLE-Module-Development-Tools-15-SP4-2023-3722
SUSE Linux Enterprise Desktop 15 SP5
SUSE Linux Enterprise High Performance Computing 15 SP5
SUSE Linux Enterprise Module for Development Tools 15 SP5
SUSE Linux Enterprise Server 15 SP5
SUSE Linux Enterprise Server for SAP Applications 15 SP5
  • cargo >= 1.72.0-150400.24.24.1
  • cargo1.72 >= 1.72.0-150400.9.3.1
  • rust >= 1.72.0-150400.24.24.1
  • rust1.72 >= 1.72.0-150400.9.3.1
Patchnames:
SUSE-SLE-Module-Development-Tools-15-SP5-2023-3722
openSUSE Leap 15.4
  • cargo >= 1.72.0-150400.24.24.1
  • cargo1.72 >= 1.72.0-150400.9.3.1
  • rust >= 1.72.0-150400.24.24.1
  • rust1.72 >= 1.72.0-150400.9.3.1
Patchnames:
openSUSE-SLE-15.4-2023-3722
openSUSE Leap 15.5
  • cargo >= 1.72.0-150400.24.24.1
  • cargo1.72 >= 1.72.0-150400.9.3.1
  • rust >= 1.72.0-150400.24.24.1
  • rust1.72 >= 1.72.0-150400.9.3.1
Patchnames:
openSUSE-SLE-15.5-2023-3722
openSUSE Tumbleweed
  • cargo1.72 >= 1.72.1-1.1
  • rust1.72 >= 1.72.1-1.1
Patchnames:
openSUSE Tumbleweed GA cargo1.72-1.72.1-1.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7.1 rust Not affected
SUSE Enterprise Storage 7.1 rust1.43 Not affected
SUSE Enterprise Storage 7.1 rust1.53 Not affected
SUSE Enterprise Storage 7.1 rust1.54 Not affected
SUSE Enterprise Storage 7.1 rust1.55 Not affected
SUSE Enterprise Storage 7.1 rust1.56 Not affected
SUSE Enterprise Storage 7.1 rust1.57 Not affected
SUSE Enterprise Storage 7.1 rust1.58 Not affected
SUSE Enterprise Storage 7.1 rust1.59 Not affected
SUSE Enterprise Storage 7.1 rust1.60 Unsupported
SUSE Enterprise Storage 7.1 rust1.61 Unsupported
SUSE Enterprise Storage 7.1 rust1.62 Unsupported
SUSE Enterprise Storage 7.1 rust1.63 Unsupported
SUSE Enterprise Storage 7.1 rust1.64 Unsupported
SUSE Enterprise Storage 7.1 rust1.65 Unsupported
SUSE Linux Enterprise Desktop 15 SP5 rust Released
SUSE Linux Enterprise Desktop 15 SP5 rust1.43 Not affected
SUSE Linux Enterprise Desktop 15 SP5 rust1.68 Unsupported
SUSE Linux Enterprise Desktop 15 SP5 rust1.69 Unsupported
SUSE Linux Enterprise Desktop 15 SP5 rust1.70 Won't fix
SUSE Linux Enterprise Desktop 15 SP5 rust1.71 Won't fix
SUSE Linux Enterprise Desktop 15 SP5 rust1.72 Released
SUSE Linux Enterprise High Performance Computing 15 SP5 rust Released
SUSE Linux Enterprise High Performance Computing 15 SP5 rust1.43 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP5 rust1.68 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP5 rust1.69 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP5 rust1.70 Won't fix
SUSE Linux Enterprise High Performance Computing 15 SP5 rust1.71 Won't fix
SUSE Linux Enterprise High Performance Computing 15 SP5 rust1.72 Released
SUSE Linux Enterprise Module for Development Tools 15 SP5 rust Released
SUSE Linux Enterprise Module for Development Tools 15 SP5 rust1.43 Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP5 rust1.68 Unsupported
SUSE Linux Enterprise Module for Development Tools 15 SP5 rust1.69 Unsupported
SUSE Linux Enterprise Module for Development Tools 15 SP5 rust1.70 Won't fix
SUSE Linux Enterprise Module for Development Tools 15 SP5 rust1.71 Won't fix
SUSE Linux Enterprise Module for Development Tools 15 SP5 rust1.72 Released
SUSE Linux Enterprise Real Time 15 SP3 rust Not affected
SUSE Linux Enterprise Real Time 15 SP3 rust1.43 Not affected
SUSE Linux Enterprise Real Time 15 SP3 rust1.53 Not affected
SUSE Linux Enterprise Real Time 15 SP3 rust1.54 Not affected
SUSE Linux Enterprise Real Time 15 SP3 rust1.55 Not affected
SUSE Linux Enterprise Real Time 15 SP3 rust1.56 Not affected
SUSE Linux Enterprise Real Time 15 SP3 rust1.57 Not affected
SUSE Linux Enterprise Real Time 15 SP3 rust1.58 Not affected
SUSE Linux Enterprise Real Time 15 SP3 rust1.59 Not affected
SUSE Linux Enterprise Real Time 15 SP3 rust1.60 Unsupported
SUSE Linux Enterprise Real Time 15 SP3 rust1.61 Unsupported
SUSE Linux Enterprise Real Time 15 SP3 rust1.62 Unsupported
SUSE Linux Enterprise Real Time 15 SP3 rust1.63 Unsupported
SUSE Linux Enterprise Real Time 15 SP3 rust1.64 Unsupported
SUSE Linux Enterprise Real Time 15 SP3 rust1.65 Unsupported
SUSE Linux Enterprise Server 15 SP5 rust Released
SUSE Linux Enterprise Server 15 SP5 rust1.43 Not affected
SUSE Linux Enterprise Server 15 SP5 rust1.68 Unsupported
SUSE Linux Enterprise Server 15 SP5 rust1.69 Unsupported
SUSE Linux Enterprise Server 15 SP5 rust1.70 Won't fix
SUSE Linux Enterprise Server 15 SP5 rust1.71 Won't fix
SUSE Linux Enterprise Server 15 SP5 rust1.72 Released
SUSE Linux Enterprise Server for SAP Applications 15 SP4 rust Released
SUSE Linux Enterprise Server for SAP Applications 15 SP4 rust1.43 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 rust1.58 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 rust1.59 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 rust1.60 Unsupported
SUSE Linux Enterprise Server for SAP Applications 15 SP4 rust1.61 Unsupported
SUSE Linux Enterprise Server for SAP Applications 15 SP4 rust1.62 Unsupported
SUSE Linux Enterprise Server for SAP Applications 15 SP4 rust1.63 Unsupported
SUSE Linux Enterprise Server for SAP Applications 15 SP4 rust1.64 Unsupported
SUSE Linux Enterprise Server for SAP Applications 15 SP4 rust1.65 Unsupported
SUSE Linux Enterprise Server for SAP Applications 15 SP4 rust1.66 Unsupported
SUSE Linux Enterprise Server for SAP Applications 15 SP4 rust1.67 Unsupported
SUSE Linux Enterprise Server for SAP Applications 15 SP4 rust1.68 Unsupported
SUSE Linux Enterprise Server for SAP Applications 15 SP4 rust1.69 Unsupported
SUSE Linux Enterprise Server for SAP Applications 15 SP4 rust1.70 Won't fix
SUSE Linux Enterprise Server for SAP Applications 15 SP4 rust1.71 Won't fix
SUSE Linux Enterprise Server for SAP Applications 15 SP4 rust1.72 Released
SUSE Linux Enterprise Server for SAP Applications 15 SP5 rust Released
SUSE Linux Enterprise Server for SAP Applications 15 SP5 rust1.43 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP5 rust1.68 Unsupported
SUSE Linux Enterprise Server for SAP Applications 15 SP5 rust1.69 Unsupported
SUSE Linux Enterprise Server for SAP Applications 15 SP5 rust1.70 Won't fix
SUSE Linux Enterprise Server for SAP Applications 15 SP5 rust1.71 Won't fix
SUSE Linux Enterprise Server for SAP Applications 15 SP5 rust1.72 Released
SUSE Manager Proxy 4.3 rust Released
SUSE Manager Proxy 4.3 rust1.43 Not affected
SUSE Manager Proxy 4.3 rust1.58 Not affected
SUSE Manager Proxy 4.3 rust1.59 Not affected
SUSE Manager Proxy 4.3 rust1.60 Unsupported
SUSE Manager Proxy 4.3 rust1.61 Unsupported
SUSE Manager Proxy 4.3 rust1.62 Unsupported
SUSE Manager Proxy 4.3 rust1.63 Unsupported
SUSE Manager Proxy 4.3 rust1.64 Unsupported
SUSE Manager Proxy 4.3 rust1.65 Unsupported
SUSE Manager Proxy 4.3 rust1.66 Unsupported
SUSE Manager Proxy 4.3 rust1.67 Unsupported
SUSE Manager Proxy 4.3 rust1.68 Unsupported
SUSE Manager Proxy 4.3 rust1.69 Unsupported
SUSE Manager Proxy 4.3 rust1.70 Won't fix
SUSE Manager Proxy 4.3 rust1.71 Won't fix
SUSE Manager Proxy 4.3 rust1.72 Released
SUSE Manager Retail Branch Server 4.3 rust Released
SUSE Manager Retail Branch Server 4.3 rust1.43 Not affected
SUSE Manager Retail Branch Server 4.3 rust1.58 Not affected
SUSE Manager Retail Branch Server 4.3 rust1.59 Not affected
SUSE Manager Retail Branch Server 4.3 rust1.60 Unsupported
SUSE Manager Retail Branch Server 4.3 rust1.61 Unsupported
SUSE Manager Retail Branch Server 4.3 rust1.62 Unsupported
SUSE Manager Retail Branch Server 4.3 rust1.63 Unsupported
SUSE Manager Retail Branch Server 4.3 rust1.64 Unsupported
SUSE Manager Retail Branch Server 4.3 rust1.65 Unsupported
SUSE Manager Retail Branch Server 4.3 rust1.66 Unsupported
SUSE Manager Retail Branch Server 4.3 rust1.67 Unsupported
SUSE Manager Retail Branch Server 4.3 rust1.68 Unsupported
SUSE Manager Retail Branch Server 4.3 rust1.69 Unsupported
SUSE Manager Retail Branch Server 4.3 rust1.70 Won't fix
SUSE Manager Retail Branch Server 4.3 rust1.71 Won't fix
SUSE Manager Retail Branch Server 4.3 rust1.72 Released
SUSE Manager Server 4.3 rust Released
SUSE Manager Server 4.3 rust1.43 Not affected
SUSE Manager Server 4.3 rust1.58 Not affected
SUSE Manager Server 4.3 rust1.59 Not affected
SUSE Manager Server 4.3 rust1.60 Unsupported
SUSE Manager Server 4.3 rust1.61 Unsupported
SUSE Manager Server 4.3 rust1.62 Unsupported
SUSE Manager Server 4.3 rust1.63 Unsupported
SUSE Manager Server 4.3 rust1.64 Unsupported
SUSE Manager Server 4.3 rust1.65 Unsupported
SUSE Manager Server 4.3 rust1.66 Unsupported
SUSE Manager Server 4.3 rust1.67 Unsupported
SUSE Manager Server 4.3 rust1.68 Unsupported
SUSE Manager Server 4.3 rust1.69 Unsupported
SUSE Manager Server 4.3 rust1.70 Won't fix
SUSE Manager Server 4.3 rust1.71 Won't fix
SUSE Manager Server 4.3 rust1.72 Released
openSUSE Leap 15.5 rust1.72 Released
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise Desktop 15 SP4 rust Released
SUSE Linux Enterprise Desktop 15 SP4 rust1.43 Not affected
SUSE Linux Enterprise Desktop 15 SP4 rust1.58 Not affected
SUSE Linux Enterprise Desktop 15 SP4 rust1.59 Not affected
SUSE Linux Enterprise Desktop 15 SP4 rust1.60 Unsupported
SUSE Linux Enterprise Desktop 15 SP4 rust1.61 Unsupported
SUSE Linux Enterprise Desktop 15 SP4 rust1.62 Unsupported
SUSE Linux Enterprise Desktop 15 SP4 rust1.63 Unsupported
SUSE Linux Enterprise Desktop 15 SP4 rust1.64 Unsupported
SUSE Linux Enterprise Desktop 15 SP4 rust1.65 Unsupported
SUSE Linux Enterprise Desktop 15 SP4 rust1.66 Unsupported
SUSE Linux Enterprise Desktop 15 SP4 rust1.67 Unsupported
SUSE Linux Enterprise Desktop 15 SP4 rust1.68 Unsupported
SUSE Linux Enterprise Desktop 15 SP4 rust1.69 Unsupported
SUSE Linux Enterprise Desktop 15 SP4 rust1.70 Won't fix
SUSE Linux Enterprise Desktop 15 SP4 rust1.71 Won't fix
SUSE Linux Enterprise Desktop 15 SP4 rust1.72 Released
SUSE Linux Enterprise High Performance Computing 15 rust Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 rust Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS rust Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS rust Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2 rust Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS rust Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS rust Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3 rust Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3 rust1.43 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3 rust1.53 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3 rust1.54 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3 rust1.55 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3 rust1.56 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3 rust1.57 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3 rust1.58 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3 rust1.59 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3 rust1.60 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP3 rust1.61 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP3 rust1.62 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP3 rust1.63 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP3 rust1.64 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP3 rust1.65 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS rust Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS rust1.43 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS rust1.53 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS rust1.54 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS rust1.55 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS rust1.56 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS rust1.57 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS rust1.58 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS rust1.59 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS rust1.60 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS rust1.61 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS rust1.62 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS rust1.63 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS rust1.64 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS rust1.65 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS rust Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS rust1.43 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS rust1.53 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS rust1.54 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS rust1.55 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS rust1.56 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS rust1.57 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS rust1.58 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS rust1.59 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS rust1.60 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS rust1.61 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS rust1.62 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS rust1.63 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS rust1.64 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS rust1.65 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP4 rust Released
SUSE Linux Enterprise High Performance Computing 15 SP4 rust1.43 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4 rust1.58 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4 rust1.59 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4 rust1.60 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP4 rust1.61 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP4 rust1.62 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP4 rust1.63 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP4 rust1.64 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP4 rust1.65 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP4 rust1.66 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP4 rust1.67 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP4 rust1.68 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP4 rust1.69 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP4 rust1.70 Won't fix
SUSE Linux Enterprise High Performance Computing 15 SP4 rust1.71 Won't fix
SUSE Linux Enterprise High Performance Computing 15 SP4 rust1.72 Released
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS rust Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS rust1.43 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS rust1.58 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS rust1.59 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS rust1.60 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS rust1.61 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS rust1.62 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS rust1.63 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS rust1.64 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS rust1.65 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS rust1.66 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS rust1.67 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS rust1.68 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS rust1.69 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS rust1.70 Won't fix
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS rust1.71 Won't fix
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS rust Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS rust1.43 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS rust1.58 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS rust1.59 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS rust1.60 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS rust1.61 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS rust1.62 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS rust1.63 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS rust1.64 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS rust1.65 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS rust1.66 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS rust1.67 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS rust1.68 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS rust1.69 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS rust1.70 Won't fix
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS rust1.71 Won't fix
SUSE Linux Enterprise High Performance Computing 15-ESPOS rust Not affected
SUSE Linux Enterprise High Performance Computing 15-LTSS rust Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP2 rust Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP3 rust Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP3 rust1.43 Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP3 rust1.53 Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP3 rust1.54 Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP3 rust1.55 Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP3 rust1.56 Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP3 rust1.57 Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP3 rust1.58 Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP3 rust1.59 Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP3 rust1.60 Unsupported
SUSE Linux Enterprise Module for Development Tools 15 SP3 rust1.61 Unsupported
SUSE Linux Enterprise Module for Development Tools 15 SP3 rust1.62 Unsupported
SUSE Linux Enterprise Module for Development Tools 15 SP3 rust1.63 Unsupported
SUSE Linux Enterprise Module for Development Tools 15 SP3 rust1.64 Unsupported
SUSE Linux Enterprise Module for Development Tools 15 SP3 rust1.65 Unsupported
SUSE Linux Enterprise Module for Development Tools 15 SP4 rust Released
SUSE Linux Enterprise Module for Development Tools 15 SP4 rust1.43 Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP4 rust1.58 Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP4 rust1.59 Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP4 rust1.60 Unsupported
SUSE Linux Enterprise Module for Development Tools 15 SP4 rust1.61 Unsupported
SUSE Linux Enterprise Module for Development Tools 15 SP4 rust1.62 Unsupported
SUSE Linux Enterprise Module for Development Tools 15 SP4 rust1.63 Unsupported
SUSE Linux Enterprise Module for Development Tools 15 SP4 rust1.64 Unsupported
SUSE Linux Enterprise Module for Development Tools 15 SP4 rust1.65 Unsupported
SUSE Linux Enterprise Module for Development Tools 15 SP4 rust1.66 Unsupported
SUSE Linux Enterprise Module for Development Tools 15 SP4 rust1.67 Unsupported
SUSE Linux Enterprise Module for Development Tools 15 SP4 rust1.68 Unsupported
SUSE Linux Enterprise Module for Development Tools 15 SP4 rust1.69 Unsupported
SUSE Linux Enterprise Module for Development Tools 15 SP4 rust1.70 Won't fix
SUSE Linux Enterprise Module for Development Tools 15 SP4 rust1.71 Won't fix
SUSE Linux Enterprise Module for Development Tools 15 SP4 rust1.72 Released
SUSE Linux Enterprise Server 15 SP2 rust Not affected
SUSE Linux Enterprise Server 15 SP2-LTSS rust Not affected
SUSE Linux Enterprise Server 15 SP3 rust Not affected
SUSE Linux Enterprise Server 15 SP3 rust1.43 Not affected
SUSE Linux Enterprise Server 15 SP3 rust1.53 Not affected
SUSE Linux Enterprise Server 15 SP3 rust1.54 Not affected
SUSE Linux Enterprise Server 15 SP3 rust1.55 Not affected
SUSE Linux Enterprise Server 15 SP3 rust1.56 Not affected
SUSE Linux Enterprise Server 15 SP3 rust1.57 Not affected
SUSE Linux Enterprise Server 15 SP3 rust1.58 Not affected
SUSE Linux Enterprise Server 15 SP3 rust1.59 Not affected
SUSE Linux Enterprise Server 15 SP3 rust1.60 Unsupported
SUSE Linux Enterprise Server 15 SP3 rust1.61 Unsupported
SUSE Linux Enterprise Server 15 SP3 rust1.62 Unsupported
SUSE Linux Enterprise Server 15 SP3 rust1.63 Unsupported
SUSE Linux Enterprise Server 15 SP3 rust1.64 Unsupported
SUSE Linux Enterprise Server 15 SP3 rust1.65 Unsupported
SUSE Linux Enterprise Server 15 SP3-LTSS rust Not affected
SUSE Linux Enterprise Server 15 SP3-LTSS rust1.43 Not affected
SUSE Linux Enterprise Server 15 SP3-LTSS rust1.53 Not affected
SUSE Linux Enterprise Server 15 SP3-LTSS rust1.54 Not affected
SUSE Linux Enterprise Server 15 SP3-LTSS rust1.55 Not affected
SUSE Linux Enterprise Server 15 SP3-LTSS rust1.56 Not affected
SUSE Linux Enterprise Server 15 SP3-LTSS rust1.57 Not affected
SUSE Linux Enterprise Server 15 SP3-LTSS rust1.58 Not affected
SUSE Linux Enterprise Server 15 SP3-LTSS rust1.59 Not affected
SUSE Linux Enterprise Server 15 SP3-LTSS rust1.60 Unsupported
SUSE Linux Enterprise Server 15 SP3-LTSS rust1.61 Unsupported
SUSE Linux Enterprise Server 15 SP3-LTSS rust1.62 Unsupported
SUSE Linux Enterprise Server 15 SP3-LTSS rust1.63 Unsupported
SUSE Linux Enterprise Server 15 SP3-LTSS rust1.64 Unsupported
SUSE Linux Enterprise Server 15 SP3-LTSS rust1.65 Unsupported
SUSE Linux Enterprise Server 15 SP4 rust Released
SUSE Linux Enterprise Server 15 SP4 rust1.43 Not affected
SUSE Linux Enterprise Server 15 SP4 rust1.58 Not affected
SUSE Linux Enterprise Server 15 SP4 rust1.59 Not affected
SUSE Linux Enterprise Server 15 SP4 rust1.60 Unsupported
SUSE Linux Enterprise Server 15 SP4 rust1.61 Unsupported
SUSE Linux Enterprise Server 15 SP4 rust1.62 Unsupported
SUSE Linux Enterprise Server 15 SP4 rust1.63 Unsupported
SUSE Linux Enterprise Server 15 SP4 rust1.64 Unsupported
SUSE Linux Enterprise Server 15 SP4 rust1.65 Unsupported
SUSE Linux Enterprise Server 15 SP4 rust1.66 Unsupported
SUSE Linux Enterprise Server 15 SP4 rust1.67 Unsupported
SUSE Linux Enterprise Server 15 SP4 rust1.68 Unsupported
SUSE Linux Enterprise Server 15 SP4 rust1.69 Unsupported
SUSE Linux Enterprise Server 15 SP4 rust1.70 Won't fix
SUSE Linux Enterprise Server 15 SP4 rust1.71 Won't fix
SUSE Linux Enterprise Server 15 SP4 rust1.72 Released
SUSE Linux Enterprise Server 15 SP4-LTSS rust Not affected
SUSE Linux Enterprise Server 15 SP4-LTSS rust1.43 Not affected
SUSE Linux Enterprise Server 15 SP4-LTSS rust1.58 Not affected
SUSE Linux Enterprise Server 15 SP4-LTSS rust1.59 Not affected
SUSE Linux Enterprise Server 15 SP4-LTSS rust1.60 Unsupported
SUSE Linux Enterprise Server 15 SP4-LTSS rust1.61 Unsupported
SUSE Linux Enterprise Server 15 SP4-LTSS rust1.62 Unsupported
SUSE Linux Enterprise Server 15 SP4-LTSS rust1.63 Unsupported
SUSE Linux Enterprise Server 15 SP4-LTSS rust1.64 Unsupported
SUSE Linux Enterprise Server 15 SP4-LTSS rust1.65 Unsupported
SUSE Linux Enterprise Server 15 SP4-LTSS rust1.66 Unsupported
SUSE Linux Enterprise Server 15 SP4-LTSS rust1.67 Unsupported
SUSE Linux Enterprise Server 15 SP4-LTSS rust1.68 Unsupported
SUSE Linux Enterprise Server 15 SP4-LTSS rust1.69 Unsupported
SUSE Linux Enterprise Server 15 SP4-LTSS rust1.70 Won't fix
SUSE Linux Enterprise Server 15 SP4-LTSS rust1.71 Won't fix
SUSE Linux Enterprise Server for SAP Applications 15 rust Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 rust Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 rust Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 rust Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 rust1.43 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 rust1.53 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 rust1.54 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 rust1.55 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 rust1.56 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 rust1.57 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 rust1.58 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 rust1.59 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 rust1.60 Unsupported
SUSE Linux Enterprise Server for SAP Applications 15 SP3 rust1.61 Unsupported
SUSE Linux Enterprise Server for SAP Applications 15 SP3 rust1.62 Unsupported
SUSE Linux Enterprise Server for SAP Applications 15 SP3 rust1.63 Unsupported
SUSE Linux Enterprise Server for SAP Applications 15 SP3 rust1.64 Unsupported
SUSE Linux Enterprise Server for SAP Applications 15 SP3 rust1.65 Unsupported
Products past their end of life and not receiving proactive updates anymore.
SUSE CaaS Platform 4.0 rust Not affected
SUSE Enterprise Storage 6 rust Not affected
SUSE Enterprise Storage 7 rust Not affected
SUSE Linux Enterprise Desktop 15 rust Not affected
SUSE Linux Enterprise Desktop 15 SP1 rust Not affected
SUSE Linux Enterprise Desktop 15 SP2 rust Not affected
SUSE Linux Enterprise Desktop 15 SP3 rust Not affected
SUSE Linux Enterprise Desktop 15 SP3 rust1.43 Not affected
SUSE Linux Enterprise Desktop 15 SP3 rust1.53 Not affected
SUSE Linux Enterprise Desktop 15 SP3 rust1.54 Not affected
SUSE Linux Enterprise Desktop 15 SP3 rust1.55 Not affected
SUSE Linux Enterprise Desktop 15 SP3 rust1.56 Not affected
SUSE Linux Enterprise Desktop 15 SP3 rust1.57 Not affected
SUSE Linux Enterprise Desktop 15 SP3 rust1.58 Not affected
SUSE Linux Enterprise Desktop 15 SP3 rust1.59 Not affected
SUSE Linux Enterprise Desktop 15 SP3 rust1.60 Unsupported
SUSE Linux Enterprise Desktop 15 SP3 rust1.61 Unsupported
SUSE Linux Enterprise Desktop 15 SP3 rust1.62 Unsupported
SUSE Linux Enterprise Desktop 15 SP3 rust1.63 Unsupported
SUSE Linux Enterprise Desktop 15 SP3 rust1.64 Unsupported
SUSE Linux Enterprise Desktop 15 SP3 rust1.65 Unsupported
SUSE Linux Enterprise Module for Development Tools 15 rust Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP1 rust Not affected
SUSE Linux Enterprise Real Time 15 SP2 rust Not affected
SUSE Linux Enterprise Real Time 15 SP4 rust Not affected
SUSE Linux Enterprise Real Time 15 SP4 rust1.43 Not affected
SUSE Linux Enterprise Real Time 15 SP4 rust1.58 Not affected
SUSE Linux Enterprise Real Time 15 SP4 rust1.59 Not affected
SUSE Linux Enterprise Real Time 15 SP4 rust1.60 Unsupported
SUSE Linux Enterprise Real Time 15 SP4 rust1.61 Unsupported
SUSE Linux Enterprise Real Time 15 SP4 rust1.62 Unsupported
SUSE Linux Enterprise Real Time 15 SP4 rust1.63 Unsupported
SUSE Linux Enterprise Real Time 15 SP4 rust1.64 Unsupported
SUSE Linux Enterprise Real Time 15 SP4 rust1.65 Unsupported
SUSE Linux Enterprise Real Time 15 SP4 rust1.66 Unsupported
SUSE Linux Enterprise Real Time 15 SP4 rust1.67 Unsupported
SUSE Linux Enterprise Real Time 15 SP4 rust1.68 Unsupported
SUSE Linux Enterprise Real Time 15 SP4 rust1.69 Unsupported
SUSE Linux Enterprise Real Time 15 SP4 rust1.70 Won't fix
SUSE Linux Enterprise Real Time 15 SP4 rust1.71 Won't fix
SUSE Linux Enterprise Server 15 rust Not affected
SUSE Linux Enterprise Server 15 SP1 rust Not affected
SUSE Linux Enterprise Server 15 SP1-BCL rust Not affected
SUSE Linux Enterprise Server 15 SP1-LTSS rust Not affected
SUSE Linux Enterprise Server 15 SP2-BCL rust Not affected
SUSE Linux Enterprise Server 15 SP3-BCL rust Not affected
SUSE Linux Enterprise Server 15 SP3-BCL rust1.43 Not affected
SUSE Linux Enterprise Server 15 SP3-BCL rust1.53 Not affected
SUSE Linux Enterprise Server 15 SP3-BCL rust1.54 Not affected
SUSE Linux Enterprise Server 15 SP3-BCL rust1.55 Not affected
SUSE Linux Enterprise Server 15 SP3-BCL rust1.56 Not affected
SUSE Linux Enterprise Server 15 SP3-BCL rust1.57 Not affected
SUSE Linux Enterprise Server 15 SP3-BCL rust1.58 Not affected
SUSE Linux Enterprise Server 15 SP3-BCL rust1.59 Not affected
SUSE Linux Enterprise Server 15 SP3-BCL rust1.60 Unsupported
SUSE Linux Enterprise Server 15 SP3-BCL rust1.61 Unsupported
SUSE Linux Enterprise Server 15 SP3-BCL rust1.62 Unsupported
SUSE Linux Enterprise Server 15 SP3-BCL rust1.63 Unsupported
SUSE Linux Enterprise Server 15 SP3-BCL rust1.64 Unsupported
SUSE Linux Enterprise Server 15 SP3-BCL rust1.65 Unsupported
SUSE Linux Enterprise Server 15-LTSS rust Not affected
SUSE Manager Proxy 4.0 rust Not affected
SUSE Manager Proxy 4.1 rust Not affected
SUSE Manager Proxy 4.2 rust Not affected
SUSE Manager Proxy 4.2 rust1.43 Not affected
SUSE Manager Proxy 4.2 rust1.53 Not affected
SUSE Manager Proxy 4.2 rust1.54 Not affected
SUSE Manager Proxy 4.2 rust1.55 Not affected
SUSE Manager Proxy 4.2 rust1.56 Not affected
SUSE Manager Proxy 4.2 rust1.57 Not affected
SUSE Manager Proxy 4.2 rust1.58 Not affected
SUSE Manager Proxy 4.2 rust1.59 Not affected
SUSE Manager Proxy 4.2 rust1.60 Unsupported
SUSE Manager Proxy 4.2 rust1.61 Unsupported
SUSE Manager Proxy 4.2 rust1.62 Unsupported
SUSE Manager Proxy 4.2 rust1.63 Unsupported
SUSE Manager Proxy 4.2 rust1.64 Unsupported
SUSE Manager Proxy 4.2 rust1.65 Unsupported
SUSE Manager Retail Branch Server 4.0 rust Not affected
SUSE Manager Retail Branch Server 4.1 rust Not affected
SUSE Manager Retail Branch Server 4.2 rust Not affected
SUSE Manager Retail Branch Server 4.2 rust1.43 Not affected
SUSE Manager Retail Branch Server 4.2 rust1.53 Not affected
SUSE Manager Retail Branch Server 4.2 rust1.54 Not affected
SUSE Manager Retail Branch Server 4.2 rust1.55 Not affected
SUSE Manager Retail Branch Server 4.2 rust1.56 Not affected
SUSE Manager Retail Branch Server 4.2 rust1.57 Not affected
SUSE Manager Retail Branch Server 4.2 rust1.58 Not affected
SUSE Manager Retail Branch Server 4.2 rust1.59 Not affected
SUSE Manager Retail Branch Server 4.2 rust1.60 Unsupported
SUSE Manager Retail Branch Server 4.2 rust1.61 Unsupported
SUSE Manager Retail Branch Server 4.2 rust1.62 Unsupported
SUSE Manager Retail Branch Server 4.2 rust1.63 Unsupported
SUSE Manager Retail Branch Server 4.2 rust1.64 Unsupported
SUSE Manager Retail Branch Server 4.2 rust1.65 Unsupported
SUSE Manager Server 4.0 rust Not affected
SUSE Manager Server 4.1 rust Not affected
SUSE Manager Server 4.2 rust Not affected
SUSE Manager Server 4.2 rust1.43 Not affected
SUSE Manager Server 4.2 rust1.53 Not affected
SUSE Manager Server 4.2 rust1.54 Not affected
SUSE Manager Server 4.2 rust1.55 Not affected
SUSE Manager Server 4.2 rust1.56 Not affected
SUSE Manager Server 4.2 rust1.57 Not affected
SUSE Manager Server 4.2 rust1.58 Not affected
SUSE Manager Server 4.2 rust1.59 Not affected
SUSE Manager Server 4.2 rust1.60 Unsupported
SUSE Manager Server 4.2 rust1.61 Unsupported
SUSE Manager Server 4.2 rust1.62 Unsupported
SUSE Manager Server 4.2 rust1.63 Unsupported
SUSE Manager Server 4.2 rust1.64 Unsupported
SUSE Manager Server 4.2 rust1.65 Unsupported
openSUSE Leap 15.4 rust1.72 Released
Container Status
bci/rust:1.56 rust1.56Not affected
bci/rust rust1.57Not affected
bci/rust:1.59 rust1.59Not affected
bci/rust:1.60 rust1.60Unsupported
bci/rust:1.61 rust1.61Unsupported
bci/rust:1.62 rust1.62Unsupported
bci/rust:1.63 rust1.63Unsupported
bci/rust:1.64 rust1.64Unsupported
bci/rust:1.65 rust1.65Unsupported
bci/rust:1.66 rust1.66Unsupported
bci/rust:1.67 rust1.67Unsupported
bci/rust:1.68 rust1.68Unsupported
bci/rust rust1.69Unsupported


SUSE Timeline for this CVE

CVE page created: Fri Aug 25 02:01:55 2023
CVE page last modified: Thu Feb 22 17:24:19 2024